Skip to main content
POST
Schedule article
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

article_id
string
required

Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.

Body

application/json
kind
enum<string>
required

Whether the schedule publishes or unpublishes the article.

Available options:
publish,
unpublish
Example:

"publish"

datetime
string
required

ISO 8601 date and time in the future. When it has no offset, it is read in time_zone.

Example:

"2999-01-01T10:00:00"

time_zone
string
required

IANA time zone name.

Example:

"Asia/Kolkata"

publish_note
string

Optional note saved with the schedule.

Response

Created - Schedule created

schedule
object